=== debian/control ===
Source: ros-noetic-code-coverage
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mike@vanadiumlabs.com>
Build-Depends: debhelper (>= 9.0.0), lcov, python3-coverage, ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-code-coverage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lcov, python3-coverage
Description: CMake configuration to run coverage
